/* padding */
/* ------------------------------ */

.p-0 {
    padding: 0 !important
}

.p-1 {
    padding: 0.25rem !important
}

.pt-1,
.py-1 {
    padding-top: 0.25rem !important
}

.pr-1,
.px-1 {
    padding-right: 0.25rem !important
}

.pb-1,
.py-1 {
    padding-bottom: 0.25rem !important
}

.pl-1,
.px-1 {
    padding-left: 0.25rem !important
}

.p-2 {
    padding: 0.5rem !important
}

.pt-2,
.py-2 {
    padding-top: 0.5rem !important
}

.pr-2,
.px-2 {
    padding-right: 0.5rem !important
}

.pb-2,
.py-2 {
    padding-bottom: 0.5rem !important
}

.pl-2,
.px-2 {
    padding-left: 0.5rem !important
}

.p-3 {
    padding: 1rem !important
}

.pt-3,
.py-3 {
    padding-top: 1rem !important
}

.pr-3,
.px-3 {
    padding-right: 1rem !important
}

.pb-3,
.py-3 {
    padding-bottom: 1rem !important
}

.pl-3,
.px-3 {
    padding-left: 1rem !important
}

.p-4 {
    padding: 1.5rem !important
}

.pt-4,
.py-4 {
    padding-top: 1.5rem !important
}

.pr-4,
.px-4 {
    padding-right: 1.5rem !important
}

.pb-4,
.py-4 {
    padding-bottom: 1.5rem !important
}

.pl-4,
.px-4 {
    padding-left: 1.5rem !important
}

.p-5 {
    padding: 2rem !important
}

.pt-5,
.py-5 {
    padding-top: 2rem !important
}

.pr-5,
.px-5 {
    padding-right: 2rem !important
}

.pb-5,
.py-5 {
    padding-bottom: 2rem !important
}

.pl-5,
.px-5 {
    padding-left: 2rem !important
}

.p-6 {
    padding: 2.5rem !important
}

.pt-6,
.py-6 {
    padding-top: 2.5rem !important
}

.pr-6,
.px-6 {
    padding-right: 2.5rem !important
}

.pb-6,
.py-6 {
    padding-bottom: 2.5rem !important
}

.pl-6,
.px-6 {
    padding-left: 2.5rem !important
}

.p-7 {
    padding: 3rem !important
}

.pt-7,
.py-7 {
    padding-top: 3rem !important
}

.pr-7,
.px-7 {
    padding-right: 3rem !important
}

.pb-7,
.py-7 {
    padding-bottom: 3rem !important
}

.pl-7,
.px-7 {
    padding-left: 3rem !important
}

.p-8 {
    padding: 3.5rem !important
}

.pt-8,
.py-8 {
    padding-top: 3.5rem !important
}

.pr-8,
.px-8 {
    padding-right: 3.5rem !important
}

.pb-8,
.py-8 {
    padding-bottom: 3.5rem !important
}

.pl-8,
.px-8 {
    padding-left: 3.5rem !important
}

.p-9 {
    padding: 4rem !important
}

.pt-9,
.py-9 {
    padding-top: 4rem !important
}

.pr-9,
.px-9 {
    padding-right: 4rem !important
}

.pb-9,
.py-9 {
    padding-bottom: 4rem !important
}

.pl-9,
.px-9 {
    padding-left: 4rem !important
}

.p-1px {
    padding: 1px !important
}

.pt-1px,
.py-1px {
    padding-top: 1px !important
}

.pr-1px,
.px-1px {
    padding-right: 1px !important
}

.pb-1px,
.py-1px {
    padding-bottom: 1px !important
}

.pl-1px,
.px-1px {
    padding-left: 1px !important
}

.p-2px {
    padding: 2px !important
}

.pt-2px,
.py-2px {
    padding-top: 2px !important
}

.pr-2px,
.px-2px {
    padding-right: 2px !important
}

.pb-2px,
.py-2px {
    padding-bottom: 2px !important
}

.pl-2px,
.px-2px {
    padding-left: 2px !important
}

.p-3px {
    padding: 3px !important
}

.pt-3px,
.py-3px {
    padding-top: 3px !important
}

.pr-3px,
.px-3px {
    padding-right: 3px !important
}

.pb-3px,
.py-3px {
    padding-bottom: 3px !important
}

.pl-3px,
.px-3px {
    padding-left: 3px !important
}

.p-4px {
    padding: 4px !important
}

.pt-4px,
.py-4px {
    padding-top: 4px !important
}

.pr-4px,
.px-4px {
    padding-right: 4px !important
}

.pb-4px,
.py-4px {
    padding-bottom: 4px !important
}

.pl-4px,
.px-4px {
    padding-left: 4px !important
}

.p-5px {
    padding: 5px !important
}

.pt-5px,
.py-5px {
    padding-top: 5px !important
}

.pr-5px,
.px-5px {
    padding-right: 5px !important
}

.pb-5px,
.py-5px {
    padding-bottom: 5px !important
}

.pl-5px,
.px-5px {
    padding-left: 5px !important
}

.p-6px {
    padding: 6px !important
}

.pt-6px,
.py-6px {
    padding-top: 6px !important
}

.pr-6px,
.px-6px {
    padding-right: 6px !important
}

.pb-6px,
.py-6px {
    padding-bottom: 6px !important
}

.pl-6px,
.px-6px {
    padding-left: 6px !important
}

.p-7px {
    padding: 7px !important
}

.pt-7px,
.py-7px {
    padding-top: 7px !important
}

.pr-7px,
.px-7px {
    padding-right: 7px !important
}

.pb-7px,
.py-7px {
    padding-bottom: 7px !important
}

.pl-7px,
.px-7px {
    padding-left: 7px !important
}

.p-8px {
    padding: 8px !important
}

.pt-8px,
.py-8px {
    padding-top: 8px !important
}

.pr-8px,
.px-8px {
    padding-right: 8px !important
}

.pb-8px,
.py-8px {
    padding-bottom: 8px !important
}

.pl-8px,
.px-8px {
    padding-left: 8px !important
}

.p-9px {
    padding: 9px !important
}

.pt-9px,
.py-9px {
    padding-top: 9px !important
}

.pr-9px,
.px-9px {
    padding-right: 9px !important
}

.pb-9px,
.py-9px {
    padding-bottom: 9px !important
}

.pl-9px,
.px-9px {
    padding-left: 9px !important
}

.p-10px {
    padding: 10px !important
}

.pt-10px,
.py-10px {
    padding-top: 10px !important
}

.pr-10px,
.px-10px {
    padding-right: 10px !important
}

.pb-10px,
.py-10px {
    padding-bottom: 10px !important
}

.pl-10px,
.px-10px {
    padding-left: 10px !important
}

.p-20px {
    padding: 20px !important
}

.pt-20px,
.py-20px {
    padding-top: 20px !important
}

.pr-20px,
.px-20px {
    padding-right: 20px !important
}

.pb-20px,
.py-20px {
    padding-bottom: 20px !important
}

.pl-20px,
.px-20px {
    padding-left: 20px !important
}

.p-30px {
    padding: 30px !important
}

.pt-30px,
.py-30px {
    padding-top: 30px !important
}

.pr-30px,
.px-30px {
    padding-right: 30px !important
}

.pb-30px,
.py-30px {
    padding-bottom: 30px !important
}

.pl-30px,
.px-30px {
    padding-left: 30px !important
}

.p-40px {
    padding: 40px !important
}

.pt-40px,
.py-40px {
    padding-top: 40px !important
}

.pr-40px,
.px-40px {
    padding-right: 40px !important
}

.pb-40px,
.py-40px {
    padding-bottom: 40px !important
}

.pl-40px,
.px-40px {
    padding-left: 40px !important
}

.p-50px {
    padding: 50px !important
}

.pt-50px,
.py-50px {
    padding-top: 50px !important
}

.pr-50px,
.px-50px {
    padding-right: 50px !important
}

.pb-50px,
.py-50px {
    padding-bottom: 50px !important
}

.pl-50px,
.px-50px {
    padding-left: 50px !important
}

.p-60px {
    padding: 60px !important
}

.pt-60px,
.py-60px {
    padding-top: 60px !important
}

.pr-60px,
.px-60px {
    padding-right: 60px !important
}

.pb-60px,
.py-60px {
    padding-bottom: 60px !important
}

.pl-60px,
.px-60px {
    padding-left: 60px !important
}

.p-70px {
    padding: 70px !important
}

.pt-70px,
.py-70px {
    padding-top: 70px !important
}

.pr-70px,
.px-70px {
    padding-right: 70px !important
}

.pb-70px,
.py-70px {
    padding-bottom: 70px !important
}

.pl-70px,
.px-70px {
    padding-left: 70px !important
}

.p-80px {
    padding: 80px !important
}

.pt-80px,
.py-80px {
    padding-top: 80px !important
}

.pr-80px,
.px-80px {
    padding-right: 80px !important
}

.pb-80px,
.py-80px {
    padding-bottom: 80px !important
}

.pl-80px,
.px-80px {
    padding-left: 80px !important
}

.p-90px {
    padding: 90px !important
}

.pt-90px,
.py-90px {
    padding-top: 90px !important
}

.pr-90px,
.px-90px {
    padding-right: 90px !important
}

.pb-90px,
.py-90px {
    padding-bottom: 90px !important
}

.pl-90px,
.px-90px {
    padding-left: 90px !important
}

.p-100px {
    padding: 100px !important
}

.pt-100px,
.py-100px {
    padding-top: 100px !important
}

.pr-100px,
.px-100px {
    padding-right: 100px !important
}

.pb-100px,
.py-100px {
    padding-bottom: 100px !important
}

.pl-100px,
.px-100px {
    padding-left: 100px !important
}

.p-150px {
    padding: 150px !important
}

.pt-150px,
.py-150px {
    padding-top: 150px !important
}

.pr-150px,
.px-150px {
    padding-right: 150px !important
}

.pb-150px,
.py-150px {
    padding-bottom: 150px !important
}

.pl-150px,
.px-150px {
    padding-left: 150px !important
}

.p-200px {
    padding: 200px !important
}

.pt-200px,
.py-200px {
    padding-top: 200px !important
}

.pr-200px,
.px-200px {
    padding-right: 200px !important
}

.pb-200px,
.py-200px {
    padding-bottom: 200px !important
}

.pl-200px,
.px-200px {
    padding-left: 200px !important
}

.p-auto {
    padding: auto !important
}

.pt-auto,
.py-auto {
    padding-top: auto !important
}

.pr-auto,
.px-auto {
    padding-right: auto !important
}

.pb-auto,
.py-auto {
    padding-bottom: auto !important
}

.pl-auto,
.px-auto {
    padding-left: auto !important
}

/* ad-mrkang@naver.com */